- Qt 5.15
- Qt QML
- C++ Classes
- QJSEngine
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QJSEngine

The following members of class QJSEngine are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | installTranslatorFunctions(const QJSValue &object = QJSValue())

## Member Function Documentation

### void QJSEngine::installTranslatorFunctions(const QJSValue &object = QJSValue())

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Installs translator functions on the given object, or on the Global Object if no object is specified.

The relation between script translator functions and C++ translator functions is described in the following table:

Script Function | Corresponding C++ Function
--- | ---
qsTr() | QObject::tr()
QT_TR_NOOP() | QT_TR_NOOP()
qsTranslate() | QCoreApplication::translate()
QT_TRANSLATE_NOOP() | QT_TRANSLATE_NOOP()
qsTrId() | qtTrId()
QT_TRID_NOOP() | QT_TRID_NOOP()

It also adds an arg() method to the string prototype.

This function was introduced in Qt 5.4.

See also Internationalization with Qt.